---
analysis:
  - !linear_regression
    name: "Example_linear_regression_subset_1"
    dataset: "data_subset_1"
    independent_variables:
      - 'bayes-corrected (q=0.25) valence'
      - 'totalvotes'
    dependent_variable: 'number O(n+1)-replies'
    standardize: true

  - !linear_regression
    name: "Example_linear_regression_subset_2"
    dataset: "data_subset_2"
    independent_variables:
      - 'bayes-corrected (q=0.25) valence'
      - 'totalvotes'
    dependent_variable: 'number O(n+1)-replies'
    standardize: true

visualization:
  - !forestplot:
    name: "Example_forestplot"
    regression_model_names:
        - "Example_linear_regression_subset_1"
        - "Example_linear_regression_subset_2"
    regression_model_labels:
        - "Subset 1"
        - "Subset 2"
    coefficient_names:
        - "bayes-corrected (q=0.25) valence"
        - "totalvotes"
    x_axis_minimum: 0
    dotsize: 5
    x_axis_label: "Standardized coefficient (95% Confidence Interval)"
...

